Point production traffic to a previous production deployment by ID
POST
https://api.vercel.com/v1/projects/{projectId}/rollback/{deploymentId}Allows users to rollback to a deployment.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { await vercel.projects.requestRollback({ projectId: "<id>", deploymentId: "<id>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
}
run();Response
{}AuthorizationbearerToken
Default authentication mechanism